Geo::GoogleEarth::Pluggable::Base(3pm)

NAME
Geo::GoogleEarth::Pluggable::Base - Geo::GoogleEarth::Pluggable Base package

SYNOPSIS
  use base qw{Geo::GoogleEarth::Pluggable::Base};

DESCRIPTION
The is the base of all Geo::GoogleEarth::Pluggable packages.

USAGE

CONSTRUCTOR

  new
  my $document = Geo::GoogleEarth::Pluggable->new(key1=>value1,
                                                  key2=>[value=>{opt1=>val1}],
                                                  key3=>{value=>{opt2=>val2}});

METHODS

  name
Sets or returns the name property.

  my $name=$folder->name;
  $placemark->name("New Name");
  $document->name("New Name");

  description
Sets or returns the description property.

  my $description=$folder->description;
  $placemark->description("New Description");
  $document->description("New Description");

  Snippet
Returns the Snippet used in the Snippet XML element or a Placemark. The default Snippet from Google Earth is to use the first line of the description however this package defaults to a zero line Snippet.

Snippet is rendered with maxLines as the length of the array ref and the content joined with new lines.

Typical use

  $document->Point(Snippet=>"Line 1");
  $document->Point(Snippet=>["Line 1", "Line 2"]);

Extended used

  my $snippet=$placemark->Snippet;                     #[] always array reference
  $placemark->Snippet([]);                             #default
  $placemark->Snippet(["line 1", "line 2", "line 3"]);
  $placemark->Snippet("My Snippet Text");              #folded into array reference.
  $placemark->Snippet("line 1", "line 2", "line 3");   #folded into array reference

  lookat
Sets or returns a Geo::GoogleEarth::Pluggable::LookAt object

BUGS
Please log on RT and send to the geo-perl email list.

SUPPORT
DavisNetworks.com supports all Perl applications including this package.

AUTHOR
  Michael R. Davis (mrdvt92)
  CPAN ID: MRDVT

COPYRIGHT
This program is free software licensed under the...

  The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Geo::GoogleEarth::Pluggable creates a GoogleEarth Document.